hpp-core: hpp::core::pathOptimization::SimpleShortcut Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::pathOptimization::SimpleShortcut Class Reference
Path Optimization

`#include <hpp/core/path-optimization/simple-shortcut.hh>`

Inheritance diagram for hpp::core::pathOptimization::SimpleShortcut:
[legend]
Collaboration diagram for hpp::core::pathOptimization::SimpleShortcut:
[legend]

## Public Member Functions
virtual PathVectorPtr_t | optimize (const PathVectorPtr_t &path)
| Optimize path.
Public Member Functions inherited from hpp::core::PathOptimizer
virtual | ~PathOptimizer ()
ProblemConstPtr_t | problem () const
| Get problem.
void | interrupt ()
| Interrupt path optimization.
void | maxIterations (const unsigned long int &n)
| Set maximal number of iterations.
void | timeOut (const double &timeOut)
| set time out (in seconds)

## Static Public Member Functions
static SimpleShortcutPtr_t | create (const ProblemConstPtr_t &problem)
| Return shared pointer to new object.

## Protected Member Functions
| SimpleShortcut (const ProblemConstPtr_t &problem)
Protected Member Functions inherited from hpp::core::PathOptimizer
| PathOptimizer (const ProblemConstPtr_t &problem)
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const
void | monitorExecution ()
void | endIteration ()
bool | shouldStop () const
void | initFromParameters ()

## Additional Inherited Members
Protected Attributes inherited from hpp::core::PathOptimizer
bool | interrupt_

## Constructor & Destructor Documentation

## ◆ SimpleShortcut()

hpp::core::pathOptimization::SimpleShortcut::SimpleShortcut | ( | const ProblemConstPtr_t & | problem | ) |
| protected

## Member Function Documentation

## ◆ create()

static SimpleShortcutPtr_t hpp::core::pathOptimization::SimpleShortcut::create | ( | const ProblemConstPtr_t & | problem | ) |
| static

Return shared pointer to new object.

## ◆ optimize()

virtual PathVectorPtr_t hpp::core::pathOptimization::SimpleShortcut::optimize | ( | const PathVectorPtr_t & | path | ) |
| virtual

Optimize path.

Implements hpp::core::PathOptimizer.

The documentation for this class was generated from the following file:

- include/hpp/core/path-optimization/simple-shortcut.hh